2005-02-15 23:28  peter <peter@freepascal.org>

	* fv/: Makefile, Makefile.fpc, test/Makefile:
	
	  * 1.9.8

2005-02-15 22:44  peter <peter@freepascal.org>

	* fv/asciitab.pas:
	
	  * patch for Sergey to fix drawing and mouse

2005-02-14 18:13  peter <peter@freepascal.org>

	* fv/: app.pas, asciitab.pas, buildfv.pas, colortxt.pas,
	dialogs.pas, drivers.pas, fvcommon.pas, fvconsts.pas, gadgets.pas,
	go32smsg.inc, histlist.pas, inplong.pas, memory.pas, menus.pas,
	msgbox.pas, platform.inc, stddlg.pas, sysmsg.pas, tabs.pas,
	time.pas, timeddlg.pas, unixsmsg.inc, validate.pas, views.pas,
	w32smsg.inc, test/platform.inc, test/testapp.pas:
	
	  * truncate log

2005-02-03 21:33  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2005-01-11 18:07  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2005-01-10 22:29  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated to use cpu-os

2005-01-07 23:29  florian <florian@freepascal.org>

	* fv/views.pas:
	
	  + tview.draw clears the back ground

2004-12-30 21:57  hajny <xhajt03@mbox.vol.cz>

	* fv/: Makefile, Makefile.fpc:
	
	  * version 1.9.6

2004-12-26 17:14  peter <peter@freepascal.org>

	* fv/views.pas:
	
	  * force redraw tgroup after changebounds

2004-12-26 14:26  peter <peter@freepascal.org>

	* fv/histlist.pas:
	
	  * remove phistrec usage

2004-12-23 17:19  peter <peter@freepascal.org>

	* fv/drivers.pas:
	
	add uses dos for OS_DOS

2004-12-22 16:50  peter <peter@freepascal.org>

	* fv/dialogs.pas:
	
	  * fixed cluster.findsel

2004-12-22 16:45  peter <peter@freepascal.org>

	* fv/histlist.pas:
	
	  * fixed overflow when histsize=0

2004-12-22 16:28  peter <peter@freepascal.org>

	* fv/views.pas:
	
	  * TGroup.ClipChildes added

2004-12-22 16:27  peter <peter@freepascal.org>

	* fv/: app.pas, drivers.pas:
	
	  * call giveuptimeslice to prevent busy loop with idle

2004-12-21 19:53  peter <peter@freepascal.org>

	* fv/: dialogs.pas, views.pas:
	
	cmCursorChange event

2004-12-20 19:37  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2004-12-19 21:25  hajny <xhajt03@mbox.vol.cz>

	* fv/: Makefile, Makefile.fpc, buildfv.pas, msgbox.pas,
	timeddlg.pas, test/testapp.pas:
	
	  + TTimedDialog and TimedMessageBox added

2004-12-19 21:22  hajny <xhajt03@mbox.vol.cz>

	* fv/tabs.pas:
	
	  * TTab.Load/Store implemented

2004-12-19 21:20  hajny <xhajt03@mbox.vol.cz>

	* fv/: asciitab.pas, app.pas, colortxt.pas, dialogs.pas,
	fvconsts.pas, inplong.pas, menus.pas, stddlg.pas, validate.pas,
	views.pas:
	
	  * ObjType references constants from fvconsts

2004-12-19 19:02  florian <florian@freepascal.org>

	* fv/stddlg.pas:
	
	  * fixed 64 bit target

2004-12-19 18:42  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2004-12-19 14:05  florian <florian@freepascal.org>

	* fv/: asciitab.pas, memory.pas:
	
	  * fixed x86_64 compilation

2004-12-18 17:19  peter <peter@freepascal.org>

	* fv/tabs.pas:
	
	select last item when a page is selected, using tab to navigate
	will then be ablke te select all items

2004-12-18 17:18  peter <peter@freepascal.org>

	* fv/: app.pas, drivers.pas:
	
	win32 fixes

2004-12-15 20:14  peter <peter@freepascal.org>

	* fv/: dialogs.pas, views.pas:
	
	  * goptions removed
	  * small patches from antonio talamini

2004-12-06 20:23  peter <peter@freepascal.org>

	* fv/drivers.pas:
	
	don't set CP 437

2004-12-05 18:09  hajny <xhajt03@mbox.vol.cz>

	* fv/: Makefile, test/Makefile:
	
	  * Makefiles regenerated

2004-12-05 00:06  peter <peter@freepascal.org>

	* fv/drivers.pas:
	
	  * fix valgrind warning in formatstr

2004-12-04 19:40  peter <peter@freepascal.org>

	* fv/drivers.pas:
	
	  * FormatStr fixed to prevent buffer overflows

2004-11-29 16:28  peter <peter@freepascal.org>

	* fv/gadgets.pas:
	
	  * print usedheap when getheapstatus is available

2004-11-24 22:03  florian <florian@freepascal.org>

	* fv/: drivers.pas, views.pas:
	
	  * increased max. possible screen/view width to 255

2004-11-23 10:33  marco <marcov@stack.nl>

	* fv/gadgets.pas:
	
	 * getheapstatus fix

2004-11-08 21:28  peter <peter@freepascal.org>

	* fv/stddlg.pas:
	
	  * Breakpoints are now deleted when removed from source, disabling
	is
	    still possible from the breakpoint list
	  * COMPILER_1_0, FVISION, GABOR defines removed, only support new
	    FV and 1.9.x compilers
	  * Run directory added to Run menu
	  * Useless programinfo window removed

2004-11-07 00:24  peter <peter@freepascal.org>

	* fv/: dialogs.pas, views.pas:
	
	  * fixed button click

2004-11-06 23:03  peter <peter@freepascal.org>

	* fv/: app.pas, menus.pas, views.pas:
	
	  * fixed mouse

2004-11-06 20:33  armin

	* fv/: Makefile, Makefile.fpc:
	
	* asciitab added to implicitunits

2004-11-06 20:25  armin

	* fv/test/Makefile:
	
	* makefile regenerated

2004-11-06 20:19  armin

	* fv/: drivers.pas, platform.inc, time.pas:
	
	* added targets netware and netwlibc

2004-11-06 18:08  peter <peter@freepascal.org>

	* fv/: app.pas, asciitab.pas, buildfv.pas, dialogs.pas,
	drivers.pas, fvcommon.pas, fvconsts.pas, gadgets.pas, histlist.pas,
	memory.pas, menus.pas, msgbox.pas, sysmsg.pas, time.pas,
	validate.pas, views.pas:
	
	  * drawing of tview merged from old fv code

2004-11-05 13:48  peter <peter@freepascal.org>

	* fv/fvcommon.pas:
	
	removed types already in system unit

2004-11-05 00:58  peter <peter@freepascal.org>

	* fv/views.pas:
	
	redraw of twindow fixed

2004-11-04 21:57  peter <peter@freepascal.org>

	* fv/: Makefile, app.pas, drivers.pas, platform.inc, Makefile.fpc,
	sysmsg.pas:
	
	sysmsgs is always available

2004-11-03 21:51  florian <florian@freepascal.org>

	* fv/: drivers.pas, editors.pas, histlist.pas, memory.pas,
	menus.pas, stddlg.pas, views.pas:
	
	  * fixed problems on targets requiring proper alignment

2004-11-03 21:33  peter <peter@freepascal.org>

	* fv/: app.pas, asciitab.pas, buildfv.pas, callspec.pas,
	dialogs.pas, drivers.pas, fileio.pas, gadgets.pas, gfvgraph.pas,
	menus.pas, platform.inc, views.pas, win32gr.pas:
	
	  * removed unnecesasry graphfv stuff

2004-11-03 13:09  peter <peter@freepascal.org>

	* fv/: dialogs.pas, menus.pas, views.pas:
	
	  * textwidth doesn't support ~ anymore, added CTextWidth with ~
	support

2004-11-03 11:37  peter <peter@freepascal.org>

	* fv/: dialogs.pas, views.pas:
	
	  * cursor probs fixed

2004-11-03 00:53  peter <peter@freepascal.org>

	* fv/: buildfv.pas, dialogs.pas, drivers.pas, fvcommon.pas,
	menus.pas, stddlg.pas, views.pas:
	
	  * fixed crashes with ide and 1.9.x

2004-11-02 10:04  peter <peter@freepascal.org>

	* fv/Makefile:
	
	  * regenerated

2004-05-30 11:45  michael <michael.vancanneyt@wisa.be>

	* fv/Makefile:
	
	+ Version 1.9.4

2004-05-30 11:15  florian <florian@freepascal.org>

	* fv/Makefile.fpc:
	
	  * first part of version number update

2004-05-23 20:25  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2004-04-21 01:37  olle

	* fv/Makefile:
	
	  * updated according to the new version of fpcmake.ini

2004-03-22 16:50  peter <peter@freepascal.org>

	* fv/test/: testapp.pas, tfileio.pas:
	
	  * compile fixes

2004-03-21 20:57  peter <peter@freepascal.org>

	* fv/test/tfileio.pas:
	
	  * compile fix

2004-02-25 02:38  pierre <muller@cerbere.u-strasbg.fr>

	* fv/unixsmsg.inc:
	
	 * fix compilation error for 1.0 compiler

2004-02-22 16:37  hajny <xhajt03@mbox.vol.cz>

	* fv/Makefile:
	
	Makefiles regenerated

2004-02-18 06:50  pierre <muller@cerbere.u-strasbg.fr>

	* fv/msgbox.pas:
	
	 *fix for MessageBox error by Berthold Studemund

2004-02-10 07:03  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * fix for webbug 2870

2004-02-06 23:36  jonas <jonas.maebe@rug.ac.be>

	* fv/: Makefile, Makefile.fpc:
	
	  + sysmsg for Darwin

2004-02-06 21:59  jonas <jonas.maebe@rug.ac.be>

	* fv/platform.inc:
	
	  + darwin support

2004-02-06 21:56  jonas <jonas.maebe@rug.ac.be>

	* fv/callspec.pas:
	
	  + powerpc support

2004-02-06 21:08  jonas <jonas.maebe@rug.ac.be>

	* fv/callspec.pas:
	
	  * version from FV

2004-01-06 00:34  marco <marcov@stack.nl>

	* fv/: Makefile, test/Makefile:
	
	 * regenerating the makefiles with some netbsd fixes + version
	upgrades

2004-01-06 00:29  marco <marcov@stack.nl>

	* fv/Makefile.fpc:
	
	 * fixed a few makefiles version numbers

2003-11-19 22:58  marco <marcov@stack.nl>

	* fv/unixsmsg.inc:
	
	 * typo

2003-11-19 20:22  marco <marcov@stack.nl>

	* fv/unixsmsg.inc:
	
	 * termio change

2003-11-12 23:31  marco <marcov@stack.nl>

	* fv/fileio.pas:
	
	 * linuxerror dependancy removed for 1.1

2003-11-01 23:59  marco <marcov@stack.nl>

	* fv/Makefile.fpc:
	
	 * package version update

2003-10-28 17:44  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2003-10-27 16:58  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2003-10-09 16:35  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2003-10-02 10:50  marco <marcov@stack.nl>

	* fv/: Makefile, test/Makefile:
	
	 * remake with new fpc param

2003-10-01 18:20  marco <marcov@stack.nl>

	* fv/: drivers.pas, fileio.pas, unixsmsg.inc:
	
	 * baseunix fixes for 1.1

2003-06-18 11:54  pierre <muller@cerbere.u-strasbg.fr>

	* fv/unixsmsg.inc:
	
	 * use termios.inc TwinSize definition

2003-06-05 16:45  peter <peter@freepascal.org>

	* fv/fvcommon.pas:
	
	  * use Windows THandle

2003-04-06 17:09  carl <carl@freepascal.org>

	* fv/: Makefile, Makefile.fpc:
	
	  * Update package versions to 1.0.8

2003-04-01 18:09  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2003-03-24 00:49  hajny <xhajt03@mbox.vol.cz>

	* fv/: Makefile, test/Makefile:
	
	  + emx target added

2003-01-31 12:01  pierre <muller@cerbere.u-strasbg.fr>

	* fv/w32smsg.inc:
	
	 + handle closing events

2003-01-31 11:15  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * fix for web bug 2200

2003-01-27 15:01  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * fix problem with network drives

2003-01-14 22:15  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2003-01-13 00:25  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 * fix win32 graph version compilation failure

2002-11-24 17:31  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenarated

2002-10-21 15:46  sg <sg@freepascal.org>

	* fv/: Makefile, Makefile.fpc:
	
	* Added sysmsg unit to get it installed as well by "make install"

2002-10-17 15:58  pierre <muller@cerbere.u-strasbg.fr>

	* fv/tabs.pas:
	
	 * TTab.DataSize function was missing

2002-10-17 15:27  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * fix TCluster.Get/SetData on big endian machines

2002-10-17 13:24  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: dialogs.pas, editors.pas, histlist.pas, inplong.pas,
	menus.pas, stddlg.pas, validate.pas, views.pas:
	
	 * Clean up the Load/Store routines so they are endian independent

2002-10-17 13:22  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * fix a problem in InitVideo with StoreVideoMode

2002-10-13 22:52  hajny <xhajt03@mbox.vol.cz>

	* fv/fileio.pas:
	
	  * mistyping corrected

2002-10-12 21:39  hajny <xhajt03@mbox.vol.cz>

	* fv/: fileio.pas, time.pas:
	
	  * FPC/2 support

2002-10-07 17:44  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * consider endianess for KeyCode/CharCode-ScanCode pairs

2002-09-24 18:48  hajny <xhajt03@mbox.vol.cz>

	* fv/time.pas:
	
	  * fix for TDateTime clash

2002-09-22 21:42  hajny <xhajt03@mbox.vol.cz>

	* fv/: views.pas, drivers.pas, fileio.pas, memory.pas, time.pas,
	dialogs.pas, app.pas:
	
	  + FPC/2 support added

2002-09-14 00:24  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * fix Alt+'9' recognition in GetAltChar function

2002-09-13 11:21  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * don't call InitVideo in DetectVideo procedure

2002-09-12 14:03  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * handle unix mouse differently as it uses video buffer

2002-09-09 10:14  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: dialogs.pas, statuses.pas, validate.pas:
	
	 * remove virtual modifer from store methods

2002-09-09 10:06  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * remove other warnings

2002-09-09 10:04  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, drivers.pas, memory.pas, views.pas:
	
	 * remove all warnings about far

2002-09-09 10:02  pierre <muller@cerbere.u-strasbg.fr>

	* fv/time.pas:
	
	 * avoid instabilities on win2000

2002-09-07 17:06  peter <peter@freepascal.org>

	* fv/: app.pas, buildfv.pas, callspec.pas, dialogs.pas,
	drivers.pas, fileio.pas, fvcommon.pas, fvconsts.pas, gadgets.pas,
	gfvgraph.pas, histlist.pas, memory.pas, menus.pas, msgbox.pas,
	platform.inc, time.pas, validate.pas, views.pas, test/platform.inc,
	test/testapp.pas, test/tfileio.pas:
	
	  * old logs removed and tabs fixed

2002-09-03 08:46  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * previous fix also applies to go32v2 mode

2002-09-03 08:31  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * try to solve bug report 2102 part B

2002-08-22 15:40  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: gfvgraph.pas, views.pas:
	
	 * several graphic mode improovements

2002-08-22 15:39  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 * Postpone InitDesktop to set the correct size

2002-08-01 14:28  marco <marcov@stack.nl>

	* fv/: Makefile, test/Makefile:
	
	 * Some more OpenBSD fixes.

2002-07-30 15:46  marco <marcov@stack.nl>

	* fv/: Makefile, test/Makefile:
	
	 * OpenBSD makefile fixes

2002-06-10 21:40  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * add DoneMouse in DoneEvents

2002-06-10 20:41  pierre <muller@cerbere.u-strasbg.fr>

	* fv/menus.pas:
	
	 + add Submenu recognition sign

2002-06-10 20:16  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * set Event.What to evNothing if no event in GetSystemEvent

2002-06-10 15:47  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * correct the check for drawing a double line border

2002-06-10 14:39  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * always call ScrooDraw if TscrollBar.value filed is changed

2002-06-10 13:51  pierre <muller@cerbere.u-strasbg.fr>

	* fv/histlist.pas:
	
	 * render history load/store compatible with older fvnew lib

2002-06-10 08:50  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * improove the linux file handling

2002-06-07 16:15  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: platform.inc, unixsmsg.inc:
	
	 * add window resizing support for unix

2002-06-07 16:12  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 * try to get resizing to work

2002-06-07 16:08  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * try to get resizing to work

2002-06-06 22:34  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 + also check for system events

2002-06-06 22:33  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * remove system event by calling sysmsg.getsystemevent

2002-06-06 22:32  pierre <muller@cerbere.u-strasbg.fr>

	* fv/w32smsg.inc:
	
	 * check console window size changes

2002-06-06 15:57  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 + activate/desactivate system messages

2002-06-06 08:43  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * avoid more than 132 columns, to avoid TDrawBuffer overrun

2002-06-06 08:42  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 + use gfvgraph cursor functions for UseFixedFont

2002-06-06 08:41  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 + Cursor functions for UseFixedFont case

2002-06-04 13:12  marco <marcov@stack.nl>

	* fv/: colortxt.pas, drivers.pas, editors.pas, fileio.pas,
	fvcommon.pas, inplong.pas, resource.pas, statuses.pas, time.pas:
	
	 * Renamefest

2002-06-03 22:26  pierre <muller@cerbere.u-strasbg.fr>

	* fv/time.pas:
	
	 * use local time for windows

2002-06-03 22:07  pierre <muller@cerbere.u-strasbg.fr>

	* fv/histlist.pas:
	
	 * DeleteString was moving to much memory

2002-06-02 11:22  marco <marcov@stack.nl>

	* fv/stddlg.pas:
	
	 * renamefest

2002-06-02 10:32  marco <marcov@stack.nl>

	* fv/: platform.inc, stddlg.pas:
	
	 * renamefest

2002-05-31 15:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * avoid SIGSEGV in owner^.close code by removing virtual attribute
	to ForEach method

2002-05-31 15:35  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 * recognize Enter key with kbEnter

2002-05-31 14:40  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * several fixes + graph enhancements

2002-05-31 14:37  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: gfvgraph.pas, drivers.pas:
	
	 * try to enhance graph mode

2002-05-31 14:35  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * use graph mode to display button title

2002-05-31 00:28  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * tried to get a faster RedrawArea method

2002-05-31 00:23  pierre <muller@cerbere.u-strasbg.fr>

	* fv/asciitab.pas:
	
	 * current char color changed

2002-05-30 16:53  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * try to follow TV better

2002-05-30 16:52  pierre <muller@cerbere.u-strasbg.fr>

	* fv/asciitab.pas:
	
	 * some more fixes

2002-05-30 08:58  pierre <muller@cerbere.u-strasbg.fr>

	* fv/menus.pas:
	
	 * fix grpah related menubar draw issues

2002-05-30 00:15  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 * fix build failure in non graph mode

2002-05-30 00:15  pierre <muller@cerbere.u-strasbg.fr>

	* fv/buildfv.pas:
	
	 + asciitab unit added

2002-05-30 00:14  pierre <muller@cerbere.u-strasbg.fr>

	* fv/asciitab.pas:
	
	 Newfile

2002-05-29 23:21  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * Use VGAHi for go32v2 graph version for now

2002-05-29 23:20  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 * better key translations

2002-05-29 21:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: menus.pas, views.pas:
	
	 * fix UseFixedFont related code

2002-05-29 21:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * fix graph related problems

2002-05-29 21:35  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 * fix GraphUpdateScreen procedure

2002-05-29 21:34  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 * fix other keys

2002-05-28 21:42  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 * fix non graphic mode compilation

2002-05-28 21:14  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: drivers.pas, views.pas:
	
	 * adapt to new GraphUpdateScreen function

2002-05-28 21:13  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 + GraphUpdateScreen function

2002-05-28 21:12  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 * fix fvisioncharmessage

2002-05-26 01:30  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * partly fix the scrollbar behavior

2002-05-26 01:24  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 * add DoneResource to fix memory leak

2002-05-24 23:00  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * avoid crash on unix root dir

2002-05-24 23:00  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * correct cursor position for TInputLine

2002-05-24 15:16  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * add window number and resize handle

2002-05-24 13:46  pierre <muller@cerbere.u-strasbg.fr>

	* fv/stddlg.pas:
	
	 * fix some TDirList highlight errors

2002-05-24 12:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * Try to enhance win32 special chars support

2002-05-24 11:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 + use win32gr unit to add mouse and keyboard support for win32
	graph

2002-05-24 11:35  pierre <muller@cerbere.u-strasbg.fr>

	* fv/win32gr.pas:
	
	 first commit, not fully functional yet

2002-05-24 11:30  pierre <muller@cerbere.u-strasbg.fr>

	* fv/histlist.pas:
	
	 * fix bug with HistoryUsed, now is really a used size

2002-05-23 17:07  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * compute graphic size correctly

2002-05-23 14:16  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * fix textmode button to be displayed like in TV

2002-05-23 12:27  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * avoid problems with shadows when moving or resizing a window

2002-05-23 11:06  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * use normal cursor for textmode TInputLine

2002-05-23 11:06  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * force views to have raworigin multiples of cell width and height

2002-05-23 09:30  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 * fix problem in InitScreen

2002-05-23 08:34  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 * fix go32v2 build failure

2002-05-21 14:21  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: drivers.pas, fvconsts.pas:
	
	 * fix various graphic problems

2002-05-21 14:02  pierre <muller@cerbere.u-strasbg.fr>

	* fv/platform.inc:
	
	 define HASSYSMSGUNIT for go32v2 and win32

2002-05-21 14:00  pierre <muller@cerbere.u-strasbg.fr>

	* fv/fvconsts.pas:
	
	 + cmResizeApp added

2002-05-21 13:59  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: go32smsg.inc, sysmsg.pas, unixsmsg.inc, w32smsg.inc:
	
	 + system messages unit added

2002-05-21 13:47  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * avoid infinite recursions in graphic mode

2002-05-21 12:53  pierre <muller@cerbere.u-strasbg.fr>

	* fv/menus.pas:
	
	 * fix graphical separation lines

2002-05-20 23:04  pierre <muller@cerbere.u-strasbg.fr>

	* fv/tabs.pas:
	
	 * write tab background correctly

2002-05-16 23:23  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * fix some display problems

2002-05-16 22:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * break lines of static text if too long

2002-05-16 22:21  pierre <muller@cerbere.u-strasbg.fr>

	* fv/drivers.pas:
	
	 + fix for bug report 1953 adapted from S Wiktor

2002-03-19 20:36  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * fix source location in zips for packages and demos

2002-03-11 20:10  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * Regenerated with updated fpcmake

2002-03-01 11:45  peter <peter@freepascal.org>

	* fv/: Makefile, Makefile.fpc:
	
	  * updated version number

2002-02-28 22:30  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile, test/Makefile.fpc:
	
	  * regenated

2002-01-29 23:00  peter <peter@freepascal.org>

	* fv/: Makefile, Makefile.fpc, buildfv.pas, colortxt.pas:
	
	  * colortxt added

2002-01-29 19:05  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2002-01-27 22:47  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2002-01-06 22:59  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2001-12-11 11:39  marco <marcov@stack.nl>

	* fv/: Makefile, test/Makefile:
	
	 * BSDhier fix to fpcmake.ini + makefile update.

2001-11-07 23:07  pierre <muller@cerbere.u-strasbg.fr>

	* fv/histlist.pas:
	
	 * removed another bug in InsertString

2001-11-07 22:50  pierre <muller@cerbere.u-strasbg.fr>

	* fv/histlist.pas:
	
	 * copied from fvnew the changed that I made toremove runerror(199)

2001-10-18 22:55  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * asw support

2001-10-16 22:52  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * fpc -PB instead of -P?
	  * check if fpc exists if not found fallback to ppc386

2001-10-14 23:43  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2001-10-02 18:35  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, drivers.pas, gfvgraph.pas, platform.inc, views.pas:
	
	 * fix several problems, try to get the graph version to compile

2001-08-30 22:18  peter <peter@freepascal.org>

	* fv/: Makefile, test/Makefile:
	
	  * regenerated

2001-08-22 22:49  peter <peter@freepascal.org>

	* fv/: Makefile, Makefile.fpc, test/Makefile, test/Makefile.fpc:
	
	  * regenerated

2001-08-06 01:54  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * some improovements for TListViewer

2001-08-06 01:27  pierre <muller@cerbere.u-strasbg.fr>

	* fv/memory.pas:
	
	 * don't use HeapNotify for FPC

2001-08-05 23:49  pierre <muller@cerbere.u-strasbg.fr>

	* fv/menus.pas:
	
	 * GetItemRect returned graphic coordinates, renamed to
	GetItemRectX

2001-08-05 04:10  peter <peter@freepascal.org>

	* fv/: callspec.pas, editors.pas, str.inc, strtxt.inc:
	
	  * more files

2001-08-05 04:03  peter <peter@freepascal.org>

	* fv/: app.pas, buildfv.pas, dialogs.pas, drivers.pas,
	fvcommon.pas, fvconsts.pas, gadgets.pas, menus.pas, msgbox.pas,
	statuses.pas, stddlg.pas, views.pas:
	
	  * view redrawing and small cursor updates
	  * merged some more FV extensions

2001-08-04 21:14  peter <peter@freepascal.org>

	* fv/: Makefile, Makefile.fpc, app.pas, buildfv.pas, dialogs.pas,
	drivers.pas, fileio.pas, fvcommon.pas, fvconsts.pas, gadgets.pas,
	histlist.pas, inplong.pas, memory.pas, resource.pas, statuses.pas,
	stddlg.pas, tabs.pas, validate.pas, views.pas, test/Makefile,
	test/Makefile.fpc, test/platform.inc, test/testapp.pas,
	test/tfileio.pas:
	
	  * Added Makefiles
	  * added FV specific units and objects from old FV

2001-06-01 18:01  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 TScrollBar Drawing  and TView.DragView corrected

2001-06-01 18:00  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 * small changes for tbutton.draw

2001-05-31 23:40  pierre <muller@cerbere.u-strasbg.fr>

	* fv/gfvgraph.pas:
	
	 * some debug stuff changed

2001-05-31 23:39  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 + AltF12 to force Redraw of Application

2001-05-31 14:15  pierre <muller@cerbere.u-strasbg.fr>

	* fv/app.pas:
	
	 + some debug stuff added

2001-05-31 14:14  pierre <muller@cerbere.u-strasbg.fr>

	* fv/dialogs.pas:
	
	 Better button draw

2001-05-31 14:14  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * fix problems for multiple insert/delete and use Redraw for hild
	drawing like TV

2001-05-30 15:26  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: menus.pas, views.pas:
	
	 * fix border problems for views and menus

2001-05-30 12:22  pierre <muller@cerbere.u-strasbg.fr>

	* fv/views.pas:
	
	 * fix Shadow bugs

2001-05-10 18:46  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, dialogs.pas, drivers.pas, gfvgraph.pas, views.pas:
	
	 + some improovements made

2001-05-08 01:36  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: gfvgraph.pas, views.pas:
	
	 NO_WINDOW cond removed

2001-05-08 00:22  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, dialogs.pas, drivers.pas, gfvgraph.pas, menus.pas:
	
	 * removed NO_WINDOW cond, added GRAPH_API

2001-05-04 17:43  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, drivers.pas, gfvgraph.pas, menus.pas, views.pas:
	
	 * several more fixes

2001-05-04 12:46  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: dialogs.pas, drivers.pas, menus.pas, views.pas:
	
	 * various fixes  for win32 api mode

2001-05-04 11:04  pierre <muller@cerbere.u-strasbg.fr>

	* fv/time.pas:
	
	 * fix dos assembler problem

2001-05-04 10:42  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, dialogs.pas, drivers.pas, time.pas, views.pas:
	
	 * some corrections for linux

2001-05-04 00:32  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, dialogs.pas, drivers.pas, platform.inc,
	validate.pas, views.pas:
	
	 new bunch of changes, displays something for dos at least

2001-05-03 17:55  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: fileio.pas, test/tfileio.pas:
	
	 + linux support for fileio contributed by Holger Schurig

2001-04-10 23:57  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, drivers.pas, gfvgraph.pas, menus.pas, platform.inc,
	views.pas:
	
	 + first adds for Use_API define

2001-04-10 23:29  pierre <muller@cerbere.u-strasbg.fr>

	* fv/: app.pas, dialogs.pas, drivers.pas, fileio.pas, gfvgraph.pas,
	menus.pas, platform.inc, validate.pas, views.pas:
	
	 * import of Leon de Boer's files

2000-08-24 14:00  marco <marcov@stack.nl>

	* fv/: dialogs.pas, drivers.pas, fileio.pas, gadgets.pas,
	gfvgraph.pas, histlist.pas, memory.pas, menus.pas, msgbox.pas,
	platform.inc, time.pas, validate.pas, views.pas:
	
	 * CVS log and ID tags

2000-08-24 13:43  marco <marcov@stack.nl>

	* fv/app.pas:
	
	 * Added CVS log and ID entries.

2000-07-13 11:45  michael <michael.vancanneyt@wisa.be>

	* fv/: app.pas, dialogs.pas, drivers.pas, fileio.pas, gadgets.pas,
	gfvgraph.pas, histlist.pas, memory.pas, menus.pas, msgbox.pas,
	platform.inc, time.pas, validate.pas, views.pas:
	
	+ Initial import

